| Irrlicht 3D Engine |

Public Member Functions | Public Attributes
irr::scene::SMD3Mesh Struct Reference

Holding Frames Buffers and Tag Infos. More...

`#include <IAnimatedMeshMD3.h>`

Inheritance diagram for irr::scene::SMD3Mesh:

List of all members.

## Public Member Functions

- SMD3Mesh ()
- virtual ~SMD3Mesh ()

## Public Attributes

- core::array< SMD3MeshBuffer * > Buffer
- SMD3Header MD3Header
- core::stringc Name
- SMD3QuaternionTagList TagList

## Detailed Description

Holding Frames Buffers and Tag Infos.

Definition at line 265 of file IAnimatedMeshMD3.h.

## Constructor & Destructor Documentation

irr::scene::SMD3Mesh::SMD3Mesh | ( |  | ) | `[inline]`

Definition at line 267 of file IAnimatedMeshMD3.h.

References MD3Header, and irr::scene::SMD3Header::numFrames.

virtual irr::scene::SMD3Mesh::~SMD3Mesh | ( |  | ) | `[inline, virtual]`

Definition at line 272 of file IAnimatedMeshMD3.h.

References Buffer, irr::IReferenceCounted::drop(), and irr::core::array< T, TAlloc >::size().

## Member Data Documentation

core::array<SMD3MeshBuffer*> irr::scene::SMD3Mesh::Buffer

Definition at line 279 of file IAnimatedMeshMD3.h.

Referenced by ~SMD3Mesh().

SMD3Header irr::scene::SMD3Mesh::MD3Header

Definition at line 281 of file IAnimatedMeshMD3.h.

Referenced by SMD3Mesh().

core::stringc irr::scene::SMD3Mesh::Name

Definition at line 278 of file IAnimatedMeshMD3.h.

SMD3QuaternionTagList irr::scene::SMD3Mesh::TagList

Definition at line 280 of file IAnimatedMeshMD3.h.

The documentation for this struct was generated from the following file:

- IAnimatedMeshMD3.h